Bug 244139 - Cannot rebuild xorg-x11-drv-evdev-1.1.2-3.fc7.src.rpm
Cannot rebuild xorg-x11-drv-evdev-1.1.2-3.fc7.src.rpm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 23:26 EDT by J French
Modified: 2008-06-16 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment out reference to missing defines. (535 bytes, text/x-patch)
2008-03-07 13:53 EST, Mark Salter
no flags Details

  None (edit)
Description J French 2007-06-13 23:26:16 EDT
Description of problem:
Cannot rebuild src.rpm locally. Build fails with:
----8<----
evdev.c: In function 'EvdevSwitchMode':
evdev.c:235: error: 'SendCoreEvents' undeclared (first use in this function)
evdev.c:235: error: (Each undeclared identifier is reported only once
evdev.c:235: error: for each function it appears in.)
evdev.c:236: error: 'DontSendCoreEvents' undeclared (first use in this function)
make[2]: *** [evdev_drv_la-evdev.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/xf86-input-evdev-1.1.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/xf86-input-evdev-1.1.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.34533 (%build)
----8<----

Version-Release number of selected component (if applicable):
xorg-x11-drv-evdev-1.1.2-3.fc7.src.rpm

How reproducible:
Every time

Steps to Reproduce:
1. download xorg-x11-drv-evdev-1.1.2-3.fc7.src.rpm
2. rpmbuild --rebuild xorg-x11-drv-evdev-1.1.2-3.fc7.src.rpm

  
Actual results:
Build fails with
----8<----
evdev.c: In function 'EvdevSwitchMode':
evdev.c:235: error: 'SendCoreEvents' undeclared (first use in this function)
evdev.c:235: error: (Each undeclared identifier is reported only once
evdev.c:235: error: for each function it appears in.)
evdev.c:236: error: 'DontSendCoreEvents' undeclared (first use in this function)
make[2]: *** [evdev_drv_la-evdev.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/xf86-input-evdev-1.1.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/xf86-input-evdev-1.1.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.34533 (%build)
----8<----

Expected results:
xorg-x11-drv-evdev-1.1.2-3.rpm

Additional info:
x86_64 platform
rpm-4.4.2-46.fc7
redhat-rpm-config-8.0.45-15.fc7
rpm-python-4.4.2-46.fc7
rpm-build-4.4.2-46.fc7
rpm-libs-4.4.2-46.fc7
gcc-objc++-4.1.2-12
gcc-objc-4.1.2-12
libgcc-4.1.2-12
gcc-c++-4.1.2-12
gcc-gnat-4.1.2-12
gcc-4.1.2-12
gcc-gfortran-4.1.2-12
libgcc-4.1.2-12
gcc-java-4.1.2-12
Comment 1 Matěj Cepl 2007-11-26 12:26:40 EST
Reporter, sorry for letting this bug rotten for so long, but could you confirm
that this is still reproducable with the latest upgrade to F7?
Comment 2 J French 2007-11-26 12:59:29 EST
I'll have to reinstall F7 on a machine, all I have here are FC6 and F8 machines
at the moment.

To be honest, I don't even remember why I was trying to rebuild this to begin with.
Comment 3 Matěj Cepl 2007-11-26 13:11:59 EST
Does it work with F8? Given, I haven't heard about the problem from anybody
else, I would probably err on side of closing, if you cannot reproduce it on F8.
(BTW, upgrade those F6 machines, EOL of them is close :-)).
Comment 4 Matěj Cepl 2007-11-26 13:12:12 EST
s/EOL/EOS/
Comment 5 J French 2007-11-26 13:31:27 EST
"(BTW, upgrade those F6 machines, EOL of them is close :-))"
I might upgrade them to 7 this week, but they've been so stable running 6 that
it's not really high on my priority list. They don't have things like Xorg on
them or anything anyway.

Nope, same things occurs under F8:
---8<---
evdev.c: In function 'EvdevSwitchMode':
evdev.c:235: error: 'SendCoreEvents' undeclared (first use in this function)
evdev.c:235: error: (Each undeclared identifier is reported only once
evdev.c:235: error: for each function it appears in.)
evdev.c:236: error: 'DontSendCoreEvents' undeclared (first use in this function)
make[2]: *** [evdev_drv_la-evdev.lo] Error 1
make[2]: Leaving directory `/home/this213/rpmbuild/BUILD/xf86-input-evdev-1.1.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/this213/rpmbuild/BUILD/xf86-input-evdev-1.1.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.49681 (%build)
---8<---
Comment 6 Mark Salter 2008-03-07 13:53:03 EST
Created attachment 297237 [details]
Comment out reference to missing defines.
Comment 7 Bug Zapper 2008-05-14 09:04:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:35:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.